'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = inject;

var _memory = require('./memory');

var _memory2 = _interopRequireDefault(_memory);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isBrowser = typeof window !== 'undefined';
var tags = {};

function inject(id, css) {
  if (isBrowser) {
    // if the tag is already present we ignore it!
    if (!tags[id]) {
      var el = makeStyleTag(css);
      tags[id] = el;
      _memory2.default[id] = el;
    }
  } else {
    _memory2.default[id] = css;
  }
}

function makeStyleTag(str) {
  // based on implementation by glamor
  var tag = document.createElement('style');
  tag.type = 'text/css';
  tag.appendChild(document.createTextNode(str));
  var head = document.head || document.getElementsByTagName('head')[0];
  head.appendChild(tag);
  return tag;
}